Loading...
Searching...
No Matches
Opm::CompositionalFluidState< Scalar, FluidSystem, true > Class Template Reference
Inheritance diagram for Opm::CompositionalFluidState< Scalar, FluidSystem, true >:

## Public Member Functions

OPM_HOST_DEVICE const FluidSystem & | fluidSystem () const
| Return the fluid system used by this fluid state.

Public Member Functions inherited from Opm::ModularFluidState< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, FluidStateExplicitPressureModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateEquilibriumTemperatureModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitCompositionModule< Scalar, FluidSystem, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitFugacityModule< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitSaturationModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitDensityModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitViscosityModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitEnthalpyModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > > >

void | checkDefined () const
| Make sure that all attributes are defined.
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
Public Member Functions inherited from Opm::FluidStateExplicitPressureModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
const Scalar & | pressure (unsigned phaseIdx) const
| The pressure of a fluid phase [Pa].
void | setPressure (unsigned phaseIdx, const Scalar &value)
| Set the pressure of a phase [Pa].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateEquilibriumTemperatureModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
const Scalar & | temperature (unsigned) const
| The temperature of a fluid phase [-].
void | setTemperature (const Scalar &value)
| Set the temperature of a phase [-].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateExplicitCompositionModule< Scalar, FluidSystem, CompositionalFluidState< Scalar, FluidSystem, true > >
const Scalar & | moleFraction (unsigned phaseIdx, unsigned compIdx) const
| The mole fraction of a component in a phase [].
Scalar | massFraction (unsigned phaseIdx, unsigned compIdx) const
| The mass fraction of a component in a phase [].
const Scalar & | averageMolarMass (unsigned phaseIdx) const
| The mean molar mass of a fluid phase [kg/mol].
Scalar | molarity (unsigned phaseIdx, unsigned compIdx) const
| The concentration of a component in a phase [mol/m^3].
void | setMoleFraction (unsigned phaseIdx, unsigned compIdx, const Scalar &value)
| Set the mole fraction of a component in a phase [] and update the average molar mass [kg/mol] according to the current composition of the phase.
void | setCompressFactor (unsigned phaseIdx, const Scalar &value)
Scalar | compressFactor (unsigned phaseIdx) const
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
const Scalar & | K (unsigned compIdx) const
void | setKvalue (unsigned compIdx, const Scalar &value)
| Set the K value of a component [-].
const Scalar & | L () const
| The L value of a composition [-].
void | setLvalue (const Scalar &value)
| Set the L value [-].
Scalar | wilsonK_ (unsigned compIdx) const
| Wilson formula to calculate K.
Public Member Functions inherited from Opm::FluidStateExplicitFugacityModule< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, CompositionalFluidState< Scalar, FluidSystem, true > >
const Scalar & | fugacityCoefficient (unsigned phaseIdx, unsigned compIdx) const
| The fugacity coefficient of a component in a phase [].
Scalar | fugacity (unsigned phaseIdx, unsigned compIdx) const
| The fugacity of a component in a phase [Pa].
void | setFugacityCoefficient (unsigned phaseIdx, unsigned compIdx, const Scalar &value)
| Set the fugacity of a component in a phase [].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateExplicitSaturationModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
const Scalar & | saturation (unsigned phaseIdx) const
| The saturation of a fluid phase [-].
void | setSaturation (unsigned phaseIdx, const Scalar &value)
| Set the saturation of a phase [-].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateExplicitDensityModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
const Scalar & | density (unsigned phaseIdx) const
| The density of a fluid phase [kg/m^3].
Scalar | molarDensity (unsigned phaseIdx) const
| The molar density of a fluid phase [mol/m^3].
Scalar | molarVolume (unsigned phaseIdx) const
| The molar volume of a fluid phase [m^3/mol].
void | setDensity (unsigned phaseIdx, const Scalar &value)
| Set the density of a phase [kg/m^3].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateExplicitViscosityModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
const Scalar & | viscosity (unsigned phaseIdx) const
| The viscosity of a fluid phase [-].
void | setViscosity (unsigned phaseIdx, Scalar value)
| Set the dynamic viscosity of a phase [Pa s].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.
Public Member Functions inherited from Opm::FluidStateExplicitEnthalpyModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
const Scalar & | enthalpy (unsigned phaseIdx) const
| The specific enthalpy of a fluid phase [J/kg].
Scalar | internalEnergy (unsigned phaseIdx) const
| The specific internal energy of a fluid phase [J/kg].
void | setEnthalpy (unsigned phaseIdx, const Scalar &value)
| Set the specific enthalpy of a phase [J/kg].
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.

## Additional Inherited Members

Public Types inherited from Opm::ModularFluidState< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, FluidStateExplicitPressureModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateEquilibriumTemperatureModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitCompositionModule< Scalar, FluidSystem, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitFugacityModule< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitSaturationModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitDensityModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitViscosityModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >, FluidStateExplicitEnthalpyModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > > >

enum |
enum |
typedef Scalar | Scalar
Protected Member Functions inherited from Opm::FluidStateExplicitCompositionModule< Scalar, FluidSystem, CompositionalFluidState< Scalar, FluidSystem, true > >
const CompositionalFluidState< Scalar, FluidSystem, true > & | asImp_ () const
Protected Member Functions inherited from Opm::FluidStateExplicitFugacityModule< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, CompositionalFluidState< Scalar, FluidSystem, true > >
const CompositionalFluidState< Scalar, FluidSystem, true > & | asImp_ () const
Protected Member Functions inherited from Opm::FluidStateExplicitDensityModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
const CompositionalFluidState< Scalar, FluidSystem, true > & | asImp_ () const
Protected Member Functions inherited from Opm::FluidStateExplicitEnthalpyModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
const CompositionalFluidState< Scalar, FluidSystem, true > & | asImp_ () const
Protected Attributes inherited from Opm::FluidStateExplicitPressureModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
Scalar | pressure_ [numPhases]
Protected Attributes inherited from Opm::FluidStateEquilibriumTemperatureModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
Scalar | temperature_
Protected Attributes inherited from Opm::FluidStateExplicitCompositionModule< Scalar, FluidSystem, CompositionalFluidState< Scalar, FluidSystem, true > >
std::array< std::array< Scalar, numComponents >, numPhases > | moleFraction_
std::array< Scalar, numPhases > | averageMolarMass_
std::array< Scalar, numPhases > | sumMoleFractions_
std::array< Scalar, numComponents > | totalModelFractions_
std::array< Scalar, numPhases > | Z_
std::array< Scalar, numComponents > | K_
Scalar | L_
Protected Attributes inherited from Opm::FluidStateExplicitFugacityModule< Scalar, FluidSystem::numPhases, FluidSystem::numComponents, CompositionalFluidState< Scalar, FluidSystem, true > >
Scalar | fugacityCoefficient_ [numPhases][numComponents]
Protected Attributes inherited from Opm::FluidStateExplicitSaturationModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
Scalar | saturation_ [numPhases]
Protected Attributes inherited from Opm::FluidStateExplicitDensityModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
Scalar | density_ [numPhases]
Protected Attributes inherited from Opm::FluidStateExplicitViscosityModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
Scalar | viscosity_ [numPhases]
Protected Attributes inherited from Opm::FluidStateExplicitEnthalpyModule< Scalar, FluidSystem::numPhases, CompositionalFluidState< Scalar, FluidSystem, true > >
std::array< Scalar, numPhases > | enthalpy_

## Member Function Documentation

## fluidSystem()

template<class Scalar, class FluidSystem>

OPM_HOST_DEVICE const FluidSystem & Opm::CompositionalFluidState< Scalar, FluidSystem, true >::fluidSystem | ( |  | ) | const

inline

Return the fluid system used by this fluid state.

Note
  This is needed for GPU compatibility for now.

The documentation for this class was generated from the following file:

- opm/material/fluidstates/CompositionalFluidState.hpp